%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           fusion-icon
Version:        0.1
Release:        3
Summary:        Compiz Fusion window decorator and theme management utility

Group:          User Interface/Desktops
License:        GPL

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# git clone git://anongit.opencompositing.org/users/crdlb/fusion-icon fusion-icon
# tar -cvf fusion-icon-0.1.tar fusion-icon
# bzip2 fusion-icon-0.1.tar

URL:            http://www.opencompositing.org
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       compiz >= 0.6.0, ccsm
BuildArch:      noarch

%description
Compiz is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Compiz Fusion is the merge of
Compiz and Beryl

Fusion-icon is a tray application to keep Compiz
up and running, switch window managers, decorators,
launch ccsm and the emerald theme tool.

%package gtk
Requires:  PyGTK >= 2.10
Requires:  %{name} = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   GTK UI for fusion-icon

%description gtk
Compiz is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Compiz Fusion is the merge of
Compiz and Beryl

Fusion-icon is a tray application to keep Compiz
up and running, switch window managers, decorators,
launch ccsm and the emerald theme tool.

This package provides the gtk UI for fusion-icon

%package qt
Requires:  PyQt
Requires:  %{name} = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   QT UI for fusion-icon

%description qt
Compiz is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Compiz Fusion is the merge of
Compiz and Beryl

Fusion-icon is a tray application to keep Compiz
up and running, switch window managers, decorators,
launch ccsm and the emerald theme tool.

This package provides the gtk UI for fusion-icon

%package all
Requires:  %{name} = %{version}-%{release}
Requires:  %{name}-gtk = %{version}-%{release}
Requires:  %{name}-qt = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   Metapackage to install all fusion-icon bits

%description all
Compiz is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Compiz Fusion is the merge of
Compiz and Beryl

Fusion-icon is a tray application to keep Compiz
up and running, switch window managers, decorators,
launch ccsm and the emerald theme tool.

This package will install all fusion-icon bits

%prep
%setup -q -n fusion-icon

%build


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install || exit 1

%post gtk
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi


%postun gtk
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi

%post qt
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :


%postun qt
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/fusion-icon
%{_datadir}/applications/fusion-icon.desktop
%{python_sitearch}/FusionIcon/*.py
%{python_sitearch}/FusionIcon/*.pyc
%{python_sitearch}/fusion_icon-0.1.0-py2.5.egg-info
%{_datadir}/icons/hicolor/22x22/apps/fusion-icon.png
%{_datadir}/icons/hicolor/24x24/apps/fusion-icon.png
#%{_datadir}/icons/hicolor/32x32/apps/fusion-icon.png
%{_datadir}/icons/hicolor/48x48/apps/fusion-icon.png
%{_datadir}/icons/hicolor/scalable/apps/fusion-icon.svg

%files gtk
%defattr(-,root,root,-)
%{python_sitearch}/FusionIcon/interface_gtk/

%files qt
%defattr(-,root,root,-)
%{python_sitearch}/FusionIcon/interface_qt4/

%files all
%defattr(-,root,root,-)

%changelog
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1-3
- Version update to 0.1.0git
* Sat Oct 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1-2
- rebuilt against compiz-fusion 0.6
* Thu Sep 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.1-1
- Initial release 0.0.0git
